// Code generated by protoc-gen-go. DO NOT EDIT.
// source: monkey.proto

package main

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Empty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Empty) Reset()         { *m = Empty{} }
func (m *Empty) String() string { return proto.CompactTextString(m) }
func (*Empty) ProtoMessage()    {}
func (*Empty) Descriptor() ([]byte, []int) {
	return fileDescriptor_monkey_4f3bf438153bb347, []int{0}
}
func (m *Empty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Empty.Unmarshal(m, b)
}
func (m *Empty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Empty.Marshal(b, m, deterministic)
}
func (dst *Empty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Empty.Merge(dst, src)
}
func (m *Empty) XXX_Size() int {
	return xxx_messageInfo_Empty.Size(m)
}
func (m *Empty) XXX_DiscardUnknown() {
	xxx_messageInfo_Empty.DiscardUnknown(m)
}

var xxx_messageInfo_Empty proto.InternalMessageInfo

func init() {
	proto.RegisterType((*Empty)(nil), "main.Empty")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// MonkeyClient is the client API for Monkey service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type MonkeyClient interface {
	Ping(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*Empty, error)
}

type monkeyClient struct {
	cc *grpc.ClientConn
}

func NewMonkeyClient(cc *grpc.ClientConn) MonkeyClient {
	return &monkeyClient{cc}
}

func (c *monkeyClient) Ping(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/main.Monkey/Ping", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MonkeyServer is the server API for Monkey service.
type MonkeyServer interface {
	Ping(context.Context, *Empty) (*Empty, error)
}

func RegisterMonkeyServer(s *grpc.Server, srv MonkeyServer) {
	s.RegisterService(&_Monkey_serviceDesc, srv)
}

func _Monkey_Ping_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MonkeyServer).Ping(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/main.Monkey/Ping",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MonkeyServer).Ping(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

var _Monkey_serviceDesc = grpc.ServiceDesc{
	ServiceName: "main.Monkey",
	HandlerType: (*MonkeyServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Ping",
			Handler:    _Monkey_Ping_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "monkey.proto",
}

func init() { proto.RegisterFile("monkey.proto", fileDescriptor_monkey_4f3bf438153bb347) }

var fileDescriptor_monkey_4f3bf438153bb347 = []byte{
	// 84 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0xe2, 0xc9, 0xcd, 0xcf, 0xcb,
	0x4e, 0xad, 0xd4, 0x2b, 0x28, 0xca, 0x2f, 0xc9, 0x17, 0x62, 0xc9, 0x4d, 0xcc, 0xcc, 0x53, 0x62,
	0xe7, 0x62, 0x75, 0xcd, 0x2d, 0x28, 0xa9, 0x34, 0xd2, 0xe2, 0x62, 0xf3, 0x05, 0x4b, 0x0b, 0x29,
	0x70, 0xb1, 0x04, 0x64, 0xe6, 0xa5, 0x0b, 0x71, 0xeb, 0x81, 0x54, 0xe8, 0x81, 0xa5, 0xa5, 0x90,
	0x39, 0x49, 0x6c, 0x60, 0x13, 0x8c, 0x01, 0x01, 0x00, 0x00, 0xff, 0xff, 0xee, 0x74, 0xb6, 0xdf,
	0x51, 0x00, 0x00, 0x00,
}
